Ticket #41158

アーティファクトIDが正しく保存されない(Re: 変愚蛮怒3.0.0Alpha開発フォーラム (フォーラムメッセージ #86554 からの引用))

Open Date: 2021-01-14 17:55 Last Update: 2021-01-24 21:01

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

フォーラム 変愚蛮怒3.0.0Alpha開発フォーラム [#86554] からの引用

[forum: 86554]

★防護服『デモニカスーツ』を入手後、セーブロードすると手持ち、倉庫、装備中に関係なくただの防護服[+24]になってしまいます。既知の伝説のアイテムにも単に「防護服」表示が残ります。

Ticket History (3/5 Histories)

2021-01-14 17:55 Updated by: deskull
  • New Ticket "アーティファクトIDが正しく保存されない(Re: 変愚蛮怒3.0.0Alpha開発フォーラム (フォーラムメッセージ #86554 からの引用))" created
2021-01-15 12:39 Updated by: dis-
Comment

調査結果を報告しておきます。 アーティファクトIDを保存するo_ptr->name1用の領域が1byteしか確保されていないため、ID256以降が正常に保存されません。 item-writer.c:104を変更し適切なサイズで保存、item-loader.c:66を変更し適切なサイズで読込すれば回避できます。 この変更はセーブデータの互換性を破壊するので合わせて変換処理も必要となります。

2021-01-16 10:43 Updated by: deskull
Comment

今回のαリリースを期にダラダラやって全く更新してこなかった定数上のバージョン管理もしっかりやるように心がけますので、3.0.0Alpha1リリースを期にセーブ/ロード処理に従来通りの分岐作って整合性合わせるのもありかもしれません。検討します。

2021-01-24 21:01 Updated by: deskull
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed
Comment

https://osdn.net/projects/hengband/scm/git/hengband/commits/98802622795bd30eea20e1417b9cb1a8468f2887 コミットメッセージ失敗したがこれで対応完了。

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login